package com.emergency.avenue.admin.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @program: report-java
 * @author: duhuajie
 * @create: 2024-07-02
 * @description: 在途车辆管理列表 VO
 */
@Data
public class InTransitVehicleOrderVO {

    @Schema(description = "主键ID，自增")
    private Integer id;

    @Schema(description = "填写时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "出库凭证")
    private String orderName;

    @Schema(description = "仓库名称")
    private String warehouseName;

    @Schema(description = "车辆数")
    private Integer carNums;

    @Schema(description = "车辆位置")
    private String carPosition;

}
