package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @program: report-java
 * @author: duhuajie
 * @create: 2024-07-28
 * @description: 对接异常数据日志
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "对接异常日志表")
@TableName(value = "dock_error_log", autoResultMap = true)
@EqualsAndHashCode
public class DockErrorLogDO {
    @TableId
    private Long id;
    /** 对接项目 */
    private String projectName;
    /** 错误字段 */
    private String errorField;
    /** 错误原因 */
    private String errorReason;
    /** 异常数据 */
    private String errorData;
    private String creator;
    private LocalDateTime createTime;
    private String updater;
    private LocalDateTime updateTime;
    private Boolean deleted;
}
