package com.emergency.avenue.storage.api.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 库存数据-对接-粮储系统
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StockDataVO {

	@Schema(description = "省份" , example = "北京市",required = true)
	private String province;

	@Schema(description = "省份编码")
	private String provinceCode;

	@Schema(description = "局名称")
	private String gameName;

	@Schema(description = "仓库名称")
	private String warehouseName;

	@Schema(description = "仓库id")
	private String warehouseDeptId;

	@Schema(description = "物资大类")
	private String materials1;

	@Schema(description = "物资类别")
	private String materials2;

	@Schema(description = "物资名称编码")
	private String dmUpcode2;

	@Schema(description = "物资名称")
	private String materials3;

	@Schema(description = "物资单位")
	private String materials4;

	@Schema(description = "数量")
	private String quantity;

	@Schema(description = "规格")
	private String specs;

	@Schema(description = "入库时间")
	private String inboundTime;

	@Schema(description = "单价")
	private String unitPrice;

	@Schema(description = "总价")
	private String totalPrice;

	@Schema(description = "是否可用")
	private String isAvailable;

	@Schema(description = "备注")
	private String remarks;

	@Schema(description = "排序")
	private Integer sort;

	@Schema(description = "统计总价")
	private BigDecimal warehouseTotalPrice;

	@Schema(description = "统计总数")
	private BigDecimal warehouseTotalNum;

	@Schema(description = "建议年限")
	private String years;

	@Schema(description = "是否配件")
	private String isParts;
}